package com.zjrs.zwnw.zj.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.zj.dto.QsDTO;
import com.zjrs.zwnw.zj.dto.QsbsDTO;
import com.zjrs.zwnw.zj.po.QsbsPO;

import java.util.List;

@Mapper
public interface QsbsMapper extends BaseMapper<QsbsPO> {
    public String getMaxYear();
    public List<QsbsDTO> getList(@Param("dto") QsDTO dto);
    public Page<QsbsDTO> getListPage(Page<QsbsDTO> page, @Param("dto") QsDTO dto);
    public QsbsDTO getTjData(@Param("dto") QsDTO dto);
}
